Module java.xml.bind
Package javax.xml.bind.annotation.adapters

## Class NormalizedStringAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,java.lang.String>
  - - javax.xml.bind.annotation.adapters.NormalizedStringAdapter

    public final class NormalizedStringAdapter
    extends XmlAdapter<java.lang.String,java.lang.String>

`XmlAdapter` to handle `xs:normalizedString`.

Replaces any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

Since:
  1.6, JAXB 2.0
Author:
  Kohsuke Kawaguchi, Martin Grebac

### Constructor Summary

Constructors
`NormalizedStringAdapter​()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static boolean` `isWhiteSpaceExceptSpace​(char ch)` Returns true if the specified char is a white space character but not 0x20.
`java.lang.String` `marshal​(java.lang.String s)` No-op.
`java.lang.String` `unmarshal​(java.lang.String text)` Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NormalizedStringAdapter

    public NormalizedStringAdapter​()

### Method Detail

#### unmarshal

    public java.lang.String unmarshal​(java.lang.String text)

Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

Specified by:
  `unmarshal` in class `XmlAdapter<java.lang.String,java.lang.String>`
Parameters:
  `text` - The value to be converted. Can be null.

#### marshal

    public java.lang.String marshal​(java.lang.String s)

No-op. Just return the same string given as the parameter.

Specified by:
  `marshal` in class `XmlAdapter<java.lang.String,java.lang.String>`
Parameters:
  `s` - The value to be convereted. Can be null.

#### isWhiteSpaceExceptSpace

    protected static boolean isWhiteSpaceExceptSpace​(char ch)

Returns true if the specified char is a white space character but not 0x20.

Copyright © 2004-2017 Oracle